using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace F44468
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			
			this.chartControl1.HidePartialLabels = true;
		}

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InitializeControlSettings();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(454, 192);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.Size = new System.Drawing.Size(552, 374);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.Add(this.chartControl1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "Form1";
			this.Text = "Essential Chart - Sample Application";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		protected void InitializeChartData()
		{
			Random r = new Random();

			ChartSeries series = this.chartControl1.Model.NewSeries("Series 1",ChartSeriesType.StackingColumn);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(20,50));

			this.chartControl1.Series.Add(series);

			series = this.chartControl1.Model.NewSeries("Series 2",ChartSeriesType.StackingColumn);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(20,50));

			this.chartControl1.Series.Add(series);

			series = this.chartControl1.Model.NewSeries("Series 3",ChartSeriesType.Column);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(20,50));

			this.chartControl1.Series.Add(series);
		}
	}
}